﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace PlanejadorDeProva
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_MouseDown(object sender, MouseEventArgs e)
        {
            // DoDragDrop inicia a ação de Drag & Drop
            // Deve-se indicar:
            // 1) o objeto que será arrastado 
            // 2) quais efeitos este objeto suporta (Move, Copy, etc).
            this.DoDragDrop(sender,
                            DragDropEffects.Move);
        }

  

        

        private void panel1_DragEnter(object sender, DragEventArgs e)
        {
            // O DragEnter é chamado quando um objeto está sendo arrastado
            // sobre o Drop Target
            // No exemplo abaixo, o efeito de Move é indicado
            e.Effect = DragDropEffects.Move;
        }

        private void panel1_DragDrop(object sender, DragEventArgs e)
        {
            // Recupera o botão sendo arrastado
            Button b = (Button) e.Data.GetData(typeof(Button));
            // Exibe o nome do botão
            MessageBox.Show("Você arrastou o controle: " + b.Name);
        }

        private void panel2_DragDrop(object sender, DragEventArgs e)
        {
            // Recupera o botão sendo arrastado
            Button b = (Button)e.Data.GetData(typeof(Button));
            // Coloca o botão no Painel
            (sender as Panel).Controls.Add(b);
            // Coloca na posição (0, 0) do painel
            b.Location = new Point(0, 0);
        }

        private void panel3_DragDrop(object sender, DragEventArgs e)
        {
            // Recupera o botão sendo arrastado
            Button b = (Button)e.Data.GetData(typeof(Button));
            // Coloca o botão no Painel
            (sender as Panel).Controls.Add(b);
            // Obtém a posição que o elemento é solto dentro do painel
            Point p  = panel3.PointToClient(new Point(e.X, e.Y));
            // Posiciona o botão no painel
            b.Location = p;
        }

      
       
    }
}